#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
%bcond_without	avresample	# avresample support via libavresample

Summary:	FFmpegSource - FFmpeg wrapper library
Summary(pl.UTF-8):	FFmpegSource - biblioteka obudowująca FFmpeg
Name:		ffms2
Version:	2.20
Release:	3
License:	MIT (ffmpegsource itself), GPL v3+ (forced by ffmpeg)
Group:		Libraries
Source0:	https://github.com/FFMS/ffms2/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d6f2faa9e0ffed2e2d8d926592a87744
Patch0:		ffmpegsource-ffmpeg011.patch
URL:		https://github.com/FFMS/ffms2
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.11
# PKG_CHECK_MODULES(LIBAV, [libavformat >= 53.20.0 libavcodec >= 53.24.0 libswscale >= 0.7.0 libavutil >= 51.21.0 ])
BuildRequires:	ffmpeg-devel >= 0.9
# libavresample >= 1.0.0
%{?with_avresample:BuildRequires:	ffmpeg-devel >= 1.1}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Obsoletes:	ffmpegsource < 2.20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform
wrapper library around FFmpeg, plus some additional components to deal
with file formats FFmpeg's libavformat has (or used to have) problems
with. It gives you an easy, convenient way to say "open and decompress
this media file for me, I don't care how you do it" and get frame- and
sample-accurate access (usually), without having to bother with the
sometimes less than straightforward and less than perfectly documented
FFmpeg API.

%description -l pl.UTF-8
FFmpegSource (zwykle zwana FFMS lub FFMS2) to wieloplatformowa
biblioteka obudowująca FFmpeg wraz z paroma dodatkowymi komponentami
mającymi radzić sobie z formatami plików, z którymi libavformat z
FFmpeg ma (lub miał) problemy. Umożliwia w łatwy sposób zażądanie
"otwórz i zdekompresuj ten plik, nieważne jak" i uzyskanie dostępu
(zwykle) z dokładnością do ramek i próbek, bez potrzeby zajmowania się
często złożonym, nie najlepiej udokumentowanym API FFmpeg.

%package devel
Summary:	Header files for FFmpegSource library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FFmpegSource
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if %{with avresample}
Requires:	ffmpeg-devel >= 1.1
%else
Requires:	ffmpeg-devel >= 0.9
%endif
Requires:	libstdc++-devel
Requires:	zlib-devel
Provides:	ffmpegsource-devel = %{version}-%{release}
Obsoletes:	ffmpegsource-devel < 2.20

%description devel
Header files for FFmpegSource library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FFmpegSource.

%package static
Summary:	Static FFmpegSource library
Summary(pl.UTF-8):	Statyczna biblioteka FFmpegSource
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	ffmpegsource-static < 2.20

%description static
Static FFmpegSource library.

%description static -l pl.UTF-8
Statyczna biblioteka FFmpegSource.

%prep
%setup -q
%patch0 -p0
%undos src/core/{indexing,lavfindexer,utils}.cpp
%{__rm} configure

%build
CXXFLAGS="%{rpmcxxflags} -Wall -Wextra -Wno-missing-field-initializers -Werror"
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-avresample%{!?with_avresample:=no} \
	--disable-silent-rules \
	--enable-shared \
	%{__enable_disable static_libs static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README.md
%attr(755,root,root) %{_bindir}/ffmsindex
%attr(755,root,root) %{_libdir}/libffms2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libffms2.so.3

%files devel
%defattr(644,root,root,755)
%doc doc/*.{html,css}
%attr(755,root,root) %{_libdir}/libffms2.so
%{_libdir}/libffms2.la
%{_includedir}/ffms.h
%{_includedir}/ffmscompat.h
%{_pkgconfigdir}/ffms2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libffms2.a
%endif
%changelog
* Thu May 28 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ffms2.git;a=log;h=master

* Wed Apr 22 2015 Jan Rękorajski <baggins@pld-linux.org> 3f1e937
- x32 rebuild
- release 3 (by relup.sh)

* Tue Oct 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fee939
- release 2 (by relup.sh)

* Sat Sep 06 2014 Jakub Bogusz <qboosh@pld-linux.org> ffd255a
- handle libavresample support

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> ce23f19
- build with cxxflags from .travis.yml

* Sun Aug 31 2014 Elan Ruusamäe <glen@delfi.ee> 8d93948
- renamed to ffms2, project moved to github
- up to 2.20
- new soname libffms2.so.3

* Sun Aug 25 2013 Elan Ruusamäe <glen@delfi.ee> 14659b1
- rebuild with ffmpeg 2.0.1
- release 6 (by relup.sh)

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 3428a40
- added ffmpeg12 patch (compatibility up to ffmpeg 1.2.0)

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 37115b3
- release 5 (by relup.sh)

* Thu Jan 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 9d0c260
- added am patch (fixes build with automake 1.13)
- release 4

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 9e97b40
- rel 3

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 5efbf89
- typo

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> ffd91bb
- fix build with ffmpeg 1.0

* Tue Jul 10 2012 Marcin Krol <hawk@tld-linux.org> da3072e
- ffmpeg 0.11 patch

* Sun Mar 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 3678bed
- document individual ffmpeg component BRs

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> cf17c71
- up to 2.17

* Tue Dec 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d6fea5
- up to 2.16.2.1

* Tue Dec 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d6e0a1
- up to 2.16

* Sun Jul 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c43c1c
- release 4

* Wed Jun 29 2011 lisu <lisu@pld-linux.org> 2db2edd
- fixed required ffmpeg versions (0.8 < 0.8.0)

* Mon Jun 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 050469f
- release 3

